Subject: Re: FVWM: patch to SmartPlacement

From: Robert Tarrall <[email-masked]>
Date: Wed, 31 Jan 1996 13:26:37 -0700

Aaron wrote:
-> i like for my windows to be placed from top to bottom on the left side of
-> the screen then to the right as it gets full.  default for fvwm places 
-> across the top left to right, then down.
-> 
-> anyway, i made the following trivial change to fvwm/placement.c
-> [...]
-> i am not suggesting that this be the default.  i think it would be nice 
-> to have this type of option in the config file.

Thanks, Aaron!  I was just poking about with that the other day, but got
distracted before I found a solution.  Perhaps a "WindowGravity" option
in the .fvwmrc?  If we wanted to get really snazzy, it could be a
"Style" option...

			-Robert Tarrall.-
			Unix System/Network Admin
			Laboratory for Computational Dynamics
			CU - Boulder
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Wed, 31 Jan 1996 15:49:22 -0500

>>>>> "Robert" == Robert Tarrall <[email-masked]> writes:

Robert> Aaron wrote:

Robert> Thanks, Aaron!  I was just poking about with that the other
Robert> day, but got distracted before I found a solution.  Perhaps a
Robert> "WindowGravity" option in the .fvwmrc?  If we wanted to get
Robert> really snazzy, it could be a "Style" option...

A WindowGravity option that affects SmartPlacement (and perhaps
RandomPlacement too) might not be a bad idea.  I think I'll add it to
the TO-DO list for the time being.

As for making it a Style option, I don't know.  It certainly cannot
even be considered until the "Great Style Flag Rewrite" (to allow >32
style options) that I plan to do shortly after the first official
release, whenever I actually manage to get that out... ;^)

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

IBM Internal email:                        "Go back to sleep, Chuck.  You're
  [email-masked],              just havin' a nightmare--of course,
  HINESC at FISHKILL, HINESC at FSHVMFK1    we are still in Hell." Gary Larson
*******************************************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].